CREATE ROLE ckan NOSUPERUSER NOCREATEDB NOCREATEROLE NOINHERIT LOGIN ENCRYPTED PASSWORD '${CKAN_PWD}';
CREATE ROLE ckan_datastore NOSUPERUSER NOCREATEDB NOCREATEROLE NOINHERIT LOGIN ENCRYPTED PASSWORD '${CKAN_DS_PWD}';

CREATE DATABASE ckan;
REVOKE ALL ON DATABASE ckan FROM public;
ALTER DATABASE ckan OWNER TO ckan;

CREATE DATABASE ckan_datastore;
REVOKE ALL ON DATABASE ckan_datastore FROM public;
GRANT CONNECT, CREATE, TEMPORARY ON DATABASE ckan_datastore TO ckan;
ALTER DATABASE ckan_datastore OWNER TO ckan_datastore;

\c ckan
CREATE TEXT SEARCH DICTIONARY cspell (template=ispell, dictfile = czech, afffile=czech, stopwords=czech);
CREATE TEXT SEARCH CONFIGURATION czech (copy=english);
ALTER TEXT SEARCH CONFIGURATION czech ALTER MAPPING FOR word, asciiword WITH cspell, simple;
CREATE EXTENSION postgis;
GRANT ALL ON geometry_columns TO ckan;
GRANT ALL ON spatial_ref_sys TO ckan;

\c ckan_datastore
CREATE TEXT SEARCH DICTIONARY cspell (template=ispell, dictfile = czech, afffile=czech, stopwords=czech);
CREATE TEXT SEARCH CONFIGURATION czech (copy=english);
ALTER TEXT SEARCH CONFIGURATION czech ALTER MAPPING FOR word, asciiword WITH cspell, simple;
